Conteníu

# Shell Function

Empecipia otra aplicación y si fuera necesariu define l'estilu de ventana correspondiente.

### Syntax:

Shell (Pathname As String[, Windowstyle As Integer[, Param As String[, bSync]]])

### Parameters:

### NomeRuta

Name of the program that you want to start, optionally with complete path and/or arguments.

### EstiluVentana

Optional integer expression that specifies the style of the window that the program is executed in.

Parameter Windowstyle is only effective on Windows systems. On other systems the parameter is ignored.

The following values are possible:

Windowstyle | Significáu
--- | ---
0 | El focu ta na ventana de programa anubrida. Not implemented in LibreOffice.
1 | El focu ta na ventana de programa en tamañu estándar. Not implemented in LibreOffice.
2 | El focu ta na ventana de programa embrivida.
3 | El focu ta na ventana de programa maximizada.
4 | Ventana de programa de tamañu estándar, ensin focu. Not implemented in LibreOffice.
6 | Ventana de programa embrivida, el focu permanez na ventana activa. Not implemented in LibreOffice.
10 | Visualización a pantalla completa.

Windowstyle 3 and 10 are equivalent in Windows systems.

### Parám

String that specifies additional arguments passed to the program.

### bSync

Si esti valor establecer en true, la orde Shell y toles xeres de LibreOffice esperen hasta que'l procesu del shell complétese. Si'l valor establecer en false, el shell vuelve direutamente. El valor predetermináu ye false.

### Error codes:

5 Llamada a procedimientu non válida

53 Ficheru non atopáu

73 Prestación ensin implementar

### Example:

    Sub ExampleShellForWin
        Shell("c:\windows\calc.exe",2)
    End Sub